@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
* {
    margin: 0;
    padding: 0;
}
h1,
h2,
h3,
h4,
h5,
a {
    font-family: "Roboto", sans-serif;
    font-weight: bolder;
}

body {
    overflow-x: hidden;
    perspective: 600px;
    background-color: #eee;
}
.view {
    color: #00a2e2;
}
/* start navbar  */
.navbar {
    position: sticky;
    top: 0;
    left: 0;
    z-index: 999999999;
}
.navbar-brand {
    color: #00a2e2;
}
.navbar ul li a {
    font-family: Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
}

.navbar .nav-link.active {
    color: #00a2e2 !important;
    font-weight: bold;
    border-bottom: 2px solid #00a2e2;
    width: fit-content;
    margin: auto;
}

.register {
    margin-left: 5px;
}
[dir="rtl"] .register {
    margin-right: 5px;
}
@media only screen and (max-width: 430px) {
    .register {
        margin-top: 5px;
        margin-left: 0px;
        margin-right: 0px;
    }
}
/* end navbar  */

/* start header home  */

.search-box {
    position: relative;
    width: 100%;
}

.header-home .form-header form input {
    border-radius: 15px;
    padding-inline-end: 55px;
}

.header-home .form-header .search-btn {
    position: absolute;
    top: 50%;
    inset-inline-end: 1px;
    transform: translateY(-50%);
    width: 50px;
    height: 100%;
    background-color: #00a2e2;
    border: none;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0 15px 15px 0;
}

html[dir="rtl"] .header-home .form-header .search-btn {
    border-radius: 15px 0 0 15px;
}

.header-home .form-header .search-btn i {
    transition: transform 0.2s;
}

.header-home .icon {
    margin-top: 27px;
    margin-left: 30px;
    background-color: white;
    color: #00a2e2;
    width: fit-content;
    height: fit-content;
    padding: 9px;
    border-radius: 50%;
}

@media only screen and (max-width: 430px) {
    .header-home .icon {
        margin-left: 0px;
        padding: 7px;
    }
}

/* end header home  */

/* start main home  */

.main-home .links-categories a {
    font-size: 25px;
}

@media only screen and (max-width: 430px) {
    .main-home .links-categories a {
        font-size: 15px;
    }
}

/* end main home  */

/* start section img  */
.img-categories {
    background-color: white;
    border-radius: 25px;
    width: 90%;
}

.img-categories img {
    border-radius: 25px;
    height: 300px;
    object-fit: cover;
}

@media only screen and (max-width: 430px) {
    .img-categories img {
        height: 210px;
    }
}

/* end section img  */

/* start popular home  */

.popular-home {
    background-color: white;
    border-radius: 25px;
    width: 90%;
}

.popular-home p {
    font-size: 20px;
}

.popular-home img {
    border-radius: 30%;
    height: 200px;
}

@media only screen and (max-width: 430px) {
    .popular-home img {
        height: 90px;
    }
    .popular-home p {
        font-size: 15px;
    }
}

/* end popular home  */

/* start Beaches home*/

.section-beaches {
    background-color: white;
    border-radius: 25px;
    width: 90%;
}

.swiper {
    width: 100%;
    padding-top: 18px;
    padding-bottom: 50px;
}

.swiper-slide {
    background-position: center;
    background-size: cover;
    width: 300px;
    height: 300px;
}

.swiper-slide img {
    display: block;
    width: 100%;
    border-radius: 30px;
    height: 300px;
}

@media only screen and (max-width: 430px) {
    .swiper-slide {
        width: 40%;
        height: 180px;
    }
    .swiper-slide img {
        height: 180px;
    }
}

/* end Beaches */

/* start cities home  */

.cities-home {
    background-color: white;
    border-radius: 25px;
    width: 90%;
}
.cities-home p {
    font-size: 20px;
}
.cities-home img {
    border-radius: 30%;
    height: 200px;
}

@media only screen and (max-width: 430px) {
    .cities-home img {
        height: 90px;
    }
    .cities-home p {
        font-size: 13px;
    }
}

/* end  cities home  */

/*=========================================================================  */
/*=========================================================================  */

/* start header-sign-up  */

.header-sign-up h1 {
    color: #00a2e2;
    font-weight: bold;
    font-size: 35px;
}
.header-sign-up form input {
    border-radius: 35px;
}
.header-sign-up form .submit {
    background-color: #00a2e2;
    color: white;
    border: none;
    padding: 12px;
}

/* end header-sign-up  */

/* ====================================================================== */
/* ====================================================================== */

/* start header sign in  */

.header-sign-in h1,
h5 {
    color: #00a2e2;
    font-weight: bold;
}
.header-sign-in form input {
    border-radius: 35px;
}

.header-sign-in form .submit {
    background-color: #00a2e2;
    color: white;
    border: none;
    padding: 12px;
    display: block;
    width: 100%;
    font-weight: bold;
}
.header-sign-in .Continue {
    background-color: #00a2e2;
    width: 94%;
    margin: auto;
    text-align: center;
    font-size: 20px;
    font-weight: bold;
    border-radius: 35px;
    color: white;
}
.header-sign-in .Continue2 {
    width: 94%;
    margin: auto;
    text-align: center;
    font-size: 20px;
    font-weight: bold;
    border-radius: 35px;
    color: #00a2e2;
    border: 3px solid #00a2e2;
}

.header-sign-in .Continue2 img {
    width: 35px;
}

/* end header sign in  */

/* ====================================================================== */
/* ====================================================================== */

/* start header contact  */

.header-contact {
    background:
        linear-gradient(
            rgba(71, 71, 216, 0.274),
            rgba(0, 0, 0, 0.075),
            #eeeeee
        ),
        url(../img/back\ contactus.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 300px;
}

/* end header contact  */

/* start main contact  */

.main-contact .contact {
    background-color: white;
    padding: 15px 15px;
    border-radius: 20px;
    text-align: center;
    box-shadow: 0 0 8px black;
}
.main-contact .contact p {
    font-size: 20px;
}
@media only screen and (max-width: 430px) {
    .main-contact .contact p {
        font-size: 10px;
    }
    .main-contact .contact h4 {
        font-size: 15px;
    }
}

/* end main contact  */

/* start section form contact  */

.section-form-contact form input {
    border-radius: 35px;
}

.section-form-contact form textarea {
    border-radius: 35px;
}

.section-form-contact form .submit {
    background-color: #00a2e2;
    color: white;
    border: none;
    padding: 12px;
    display: block;
    width: 100%;
    font-weight: bold;
}

/* end section form contact  */

/* ====================================================================== */
/* ====================================================================== */

/* start header about */

.header-about {
    background:
        linear-gradient(
            rgba(71, 71, 216, 0.274),
            rgba(0, 0, 0, 0.075),
            #eeeeee
        ),
        url(../img/back\ about.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 300px;
}

.header-about h1 {
    margin-top: 150px;
}
.header-about p {
    font-size: 13px;
    letter-spacing: 2px;
    word-spacing: 3px;
}
@media only screen and (max-width:450px) {
    [dir="ltr"] .iframe-about{
        margin-top: 60px;
    }
}

/* end header about */

/* start section star  */

.section-star .star {
    background-color: white;
    padding: 18px;
    border-radius: 10px;
    box-shadow: 0 0 8px black;
    margin-bottom: 10px;
}
.section-star .star h4 {
    font-weight: bolder;
}

/* end section star  */

/* ======================================================================= */
/* ======================================================================= */

/* start header cairo */

.header-cairo {
    background-image: url(../img/pexels-ahmed-aziz-126288236-12607742.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 500px;
}

.header-cairo .links {
    margin-top: 490px;
    background-color: white;
    border-radius: 18px;
    padding: 7px;
    box-shadow: 0 0 2px black;
    width: 100%;
}

.links a {
    position: relative;
    text-decoration: none;
    padding-bottom: 4px;
}

.links a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0;
    height: 2px;
    background-color: #00a2e2;
    transition: 0.3s;
}

.links a.active::after {
    width: 100%;
}

@media only screen and (max-width: 430px) {
    .header-cairo {
        height: 300px;
    }
    .header-cairo .links {
        margin-top: 290px;
    }
}
/* end header cairo */

/* start main cairo  */

.main-cairo {
    background-color: white;
    border-radius: 18px;
    box-shadow: 0 0 2px black;
    margin: auto;
}
.main-cairo .product-main-cairo a {
    font-size: 24px;
}
.main-cairo .product-main-cairo img {
    border-radius: 18px;
    height: 330px;
}

.carousel {
    position: relative;
}

.carousel .carousel-control-prev,
.carousel .carousel-control-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: auto;
}

.carousel .carousel-control-prev,
.carousel .carousel-control-next {
    background: rgba(0, 0, 0, 0.4);
    width: 45px;
    height: 45px;
    border-radius: 50%;
}
[dir="rtl"] .carousel,
[dir="rtl"] .carousel-inner {
    direction: ltr;
}

[dir="rtl"] .carousel-control-prev {
    left: 0;
    right: auto;
}

[dir="rtl"] .carousel-control-next {
    right: 0;
    left: auto;
}

[dir="rtl"] .carousel-control-prev i,
[dir="rtl"] .carousel-control-next i,
[dir="rtl"] .carousel-control-prev-icon,
[dir="rtl"] .carousel-control-next-icon {
    transform: none !important;
}

#cairoSlider .carousel-control-prev {
    left: 10px;
    margin-top: -25px;
}

#cairoSlider .carousel-control-next {
    right: 12px;
    margin-top: -25px;
}
@media only screen and (max-width: 430px) {
    .main-cairo .product-main-cairo img {
        height: 130px;
    }
    .main-cairo .product-main-cairo a {
        font-size: 14px;
    }
}

/* end main cairo  */

/* start section adventure-activities cairo */

.adventure-activities {
    background-color: white;
    border-radius: 18px;
    box-shadow: 0 0 2px black;
}

.adventure-activities img {
    height: 220px;
    border-radius: 50%;
}

@media only screen and (max-width: 430px) {
    .adventure-activities img {
        height: 100px;
    }
    .adventure-activities p {
        font-size: 11px;
    }
}
/* end section adventure-activities cairo */

/* start section hotels */

.section-hotels {
    background-color: white;
    border-radius: 18px;
    box-shadow: 0 0 2px black;
}
.section-hotels .carousel-item img {
    height: 330px;
    border-radius: 18px;
}
.section-hotels a {
    font-size: 24px;
}

#hotelsSlider .carousel-control-prev {
    left: 10px;
    margin-top: -25px;
}

#hotelsSlider .carousel-control-next {
    right: 10px;
    margin-top: -25px;
}

@media only screen and (max-width: 430px) {
    .section-hotels .carousel-item img {
        height: 130px;
    }
    .section-hotels a {
        font-size: 14px;
    }
}
/* end section hotels */

/* start section flights */

.section-flights {
    background-color: white;
    border-radius: 18px;
    box-shadow: 0 0 2px black;
}

.section-flights .air {
    background-color: #eee;
    margin: auto;
    border-radius: 18px;
}
.section-flights .air img {
    width: 50px;
    height: 50px;
}
.section-flights .air span {
    font-size: 80px;
    display: inline-block;
    margin-top: -60px;
    color: #00a2e2;
}
.section-flights .air h4 {
    font-size: 23px;
}

.section-flights .air p {
    font-size: 15px;
}

.section-flights .air h6 {
    font-size: 18px;
}

.section-flights .air a {
    font-size: 15px;
    background-color: #00a2e2;
    color: white;
    width: fit-content;
    height: fit-content;
}

.section-flights .title {
    font-weight: bold;
    margin-top: 27px;
}

@media only screen and (max-width: 430px) {
    .section-flights .title {
        margin-left: 10px;
    }
    .section-flights .air p {
        font-size: 12px;
    }
    .section-flights .air h4 {
        font-size: 15px;
    }
    .section-flights .air h6 {
        font-size: 13px;
    }
    .section-flights .air img {
        width: 30px;
        height: 30px;
    }
    .section-flights .air span {
        font-size: 50px;
        margin-top: -40px;
    }
    .section-flights .air a {
        font-size: 10px;
    }
    .section-flights .air {
        width: 90%;
    }
}

[dir="rtl"] .flight-icon {
    transform: scaleX(-1);
}

/* end section flights */

/* start section car  */

.section-car {
    background-color: white;
    border-radius: 18px;
    box-shadow: 0 0 2px black;
}
.section-car .card-car {
    border: 2px solid #00a2e2;
    margin-top: 20px;
    padding: 5px 10px;
    border-radius: 8px;
}
.section-car .product-car {
    background-color: white;
    padding: 20px;
    box-shadow: 0 0 1px black;
    border-radius: 18px;
    display: flex;
    justify-content: space-around;
    margin: auto;
}

.section-car .product-car span {
    font-size: 20px;
    padding: 15px;
}
.section-car .product-car h3 {
    font-size: 25px;
}

.section-car .product-car a {
    font-size: 15px;
    background-color: #00a2e2;
    color: white;
    width: fit-content;
    height: fit-content;
}

@media only screen and (max-width: 450px) {
    .section-car .product-car img {
        width: 60px;
    }
    .section-car .product-car h3 {
        font-size: 13px;
    }
    .section-car .product-car h6 {
        font-size: 12px;
    }
    .section-car .product-car span {
        font-size: 7px;
        padding: 5px;
    }
    .section-car .product-car a {
        font-size: 10px;
    }
    .section-car .product-car {
        width: 90%;
    }
}

/* end section car  */

/* ================================================================================== */
/* ================================================================================== */

/* start header alex */

.header-alex {
    background-image: url(../img/alex/pexels-zaki25-16115004.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 500px;
}

.header-alex .links {
    margin-top: 490px;
    background-color: white;
    border-radius: 18px;
    padding: 7px;
    box-shadow: 0 0 2px black;
}

.links a {
    position: relative;
    text-decoration: none;
    padding-bottom: 4px;
}

.links a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0;
    height: 2px;
    background-color: #00a2e2;
    transition: 0.3s;
}

.links a.active::after {
    width: 100%;
}

@media only screen and (max-width: 430px) {
    .header-alex .links {
        margin-top: 290px;
    }
    .header-alex {
        height: 300px;
    }
}

/* end header  */

/* ================================================================================= */
/* ================================================================================= */

/* start header sharm */

.header-sharm {
    background-image: url(../img/backsharm.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 500px;
}

.header-sharm .links {
    margin-top: 490px;
    background-color: white;
    border-radius: 18px;
    padding: 7px;
    box-shadow: 0 0 2px black;
}

.links a {
    position: relative;
    text-decoration: none;
    padding-bottom: 4px;
}

.links a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0;
    height: 2px;
    background-color: #00a2e2;
    transition: 0.3s;
}

.links a.active::after {
    width: 100%;
}

#SharmSlider .carousel-control-prev {
    left: 10px;
    margin-top: -25px;
}

#SharmSlider .carousel-control-next {
    right: 10px;
    margin-top: -25px;
}

@media only screen and (max-width: 430px) {
    .header-sharm .links {
        margin-top: 290px;
    }
    .header-sharm {
        height: 300px;
    }
}
/* end header sharm */

.place-header {
    height: 500px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
}

.place-content .btn {
    font-size: 15px;
    background-color: #00a2e2;
    color: white;
    width: fit-content;
    height: fit-content;
}

.overlay {
    margin-top: 400px;
}
.overlay h5 {
    text-shadow: 0 0 8px black;
}
.overlay p {
    text-shadow: 0 0 8px black;
}

@media only screen and (max-width: 430px) {
    .place-header {
        height: 350px;
    }
    .overlay {
        margin-top: 270px;
    }
    .place-content .btn {
        font-size: 10px;
    }
    .place-content h6 {
        font-size: 14px;
    }
}

.show-place-best {
    background-color: white;
    padding: 10px 12px;
    border-radius: 10px;
    box-shadow: 0 0 1px black;
}

.show-place-best img {
    border-radius: 10px;
}

.show-place-best .url {
    font-size: 15px;
}

@media only screen and (max-width: 430px) {
    .show-place-best .url {
        font-size: 11px;
    }
    .show-place-best p {
        font-size: 11px;
    }
    .show-place-best img {
        height: 160px;
    }
}

/* start search  */

.search-box {
    position: relative;
}

.search-input {
    padding: 12px;
    padding-right: 40px;
    border-radius: 15px;
}

.search-icon {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    color: #888;
    pointer-events: none;
}

@media (max-width: 991px) {
    .navbar .dropdown-menu {
        position: static !important;
        float: none;
        width: 100%;
        margin-top: 0;
        border: none;
        box-shadow: none;
        background-color: #f8f9fa;
        text-align: center;
    }
}

.carousel-control-prev,
.carousel-control-next {
    pointer-events: auto;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    pointer-events: none;
}

/* =========================
========================= */

/* start Flight Booking */

.header-flightbooking {
    background-color: white;
    border-radius: 20px;
    box-shadow: 0 0 1px black;
    text-align: center;
    margin: auto;
    width: 90%;
}

.header-flightbooking hr {
    width: 90%;
}

.header-flightbooking h3 {
    color: #00a2e2;
}

.header-flightbooking h4 {
    text-align: left;
    margin-left: 10px;
}

.header-flightbooking form input {
    width: 49%;
    margin-left: 5px;
}

.header-flightbooking .btn {
    background-color: #00a2e2;
    color: white;
    font-weight: bold;
    display: block;
    width: 100%;
    margin: auto;
    margin-top: 10px;
    margin-bottom: 30px;
}

[dir="rtl"] .header-flightbooking h4 {
    direction: rtl;
    text-align: right;
    margin-right: 10px;
}

@media only screen and (max-width: 430px) {
    .header-flightbooking form input {
        width: 100%;
    }
    .header-flightbooking h4 {
        margin-right: 5px;
        margin-left: 5px;
        font-size: 17px;
    }
    [dir="rtl"] .header-flightbooking h4 {
        direction: rtl;
        text-align: right;
        margin-right: 5px;
    }
}

/* end Flight Booking */

/* start car booking */

.car-booking {
    background-color: white;
    border-radius: 20px;
    box-shadow: 0 0 1px black;
    width: 90%;
    margin: auto;
}
.car-booking .content-car {
    margin-top: 100px;
}
.car-booking .content-drive p {
    width: 50%;
    font-weight: bold;
}
.car-booking .content-drive {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.car-booking h1 {
    color: #00a2e2;
}
.car-booking .form-data {
    background-color: white;
    border-radius: 20px;
    box-shadow: 0 0 2px black;
    margin: auto;
    margin-top: 50px;
    margin-bottom: 50px;
}
.car-booking .form-data form {
    width: 90%;
    margin: auto;
}

.car-booking .form-data form .btn {
    background-color: #00a2e2;
    color: white;
    font-weight: bold;
    display: block;
    width: 100%;
    margin: auto;
    margin-top: 20px;
    margin-bottom: 30px;
}

@media only screen and (max-width: 450px) {
    .car-booking .form-data {
        width: 90%;
        margin-top: 35px;
    }
    .car-booking .form-data .date label {
        font-size: 13px;
    }
    .car-booking p {
        font-size: 12px;
    }
    .car-booking .content-car {
        margin-top: 50px;
    }
}
@media only screen and (max-width: 390px) {
    .car-booking p {
        font-size: 10px;
    }
}

/* end car booking */

/* start book place  */

.place-booking {
    background-color: white;
    border-radius: 20px;
    box-shadow: 0 0 1px black;
    margin: auto;
    width: 90%;
}

.place-booking h3 {
    color: #00a2e2;
}
.place-booking img {
    border-radius: 20px;
    height: 330px;
}
.place-booking .form-data {
    background-color: white;
    border-radius: 20px;
    box-shadow: 0 0 2px black;
    margin: auto;
    margin-top: 50px;
    margin-bottom: 50px;
    text-align: center;
}
.place-booking .form-data form {
    width: 90%;
    margin: auto;
}
.place-booking .form-data form .btn {
    background-color: #00a2e2;
    color: white;
    font-weight: bold;
    display: block;
    width: 100%;
    margin: auto;
    margin-top: 20px;
    margin-bottom: 30px;
}
.place-booking .form-data h4 {
    color: #00a2e2;
}
@media only screen and (max-width: 450px) {
    .place-booking img {
        height: 250px;
    }
    .place-booking h5 {
        font-size: 15px;
    }
    .place-booking h6 {
        font-size: 9px;
    }
    .place-booking .form-data {
        width: 90%;
    }
}
/* end book place  */

[dir="rtl"] input[type="text"],
[dir="rtl"] input[type="search"],
[dir="rtl"] input[type="tel"],
[dir="rtl"] textarea {
    direction: rtl;
    text-align: right;
}

[dir="rtl"] input[type="email"],
[dir="rtl"] input[type="password"],
[dir="rtl"] input[type="url"] {
    direction: ltr;
    text-align: left;
}

[dir="rtl"] input[type="text"]::placeholder,
[dir="rtl"] textarea::placeholder {
    text-align: right;
}

[dir="rtl"] input[type="email"]::placeholder,
[dir="rtl"] input[type="password"]::placeholder {
    text-align: right;
}

[dir="rtl"] .input-group {
    direction: rtl;
}

[dir="rtl"] .input-group .form-control {
    text-align: right;
}

[dir="rtl"] label {
    text-align: right;
    display: block;
}

[dir="rtl"] select {
    direction: rtl;
    text-align: right;
}

[dir="rtl"] .form-check {
    padding-right: 1.5em;
    padding-left: 0;
}

[dir="rtl"] .form-check-input {
    float: right;
    margin-right: -1.5em;
    margin-left: 0;
}

[dir="rtl"] input[type="email"] {
    direction: rtl;
    text-align: right;
}

[dir="rtl"] input[type="email"]::placeholder {
    direction: rtl;
    text-align: right;
}

[dir="rtl"] input[type="number"]::placeholder {
    direction: rtl;
    text-align: right;
}
